<ng-template #rt let-r="result" let-t="term">
  <ngb-highlight [result]="r?.displayValue" [term]="t"></ngb-highlight>
</ng-template>
<app-form-control-wrap [for]="id" [field]="field">
  <input
  (input)="onInput($event)"
  [id]="id || field?.fieldKey"
  [value]="field?.value || ''"
  [placeholder]="field?.placeholder"
  class="form-control"
  (blur)="onBlur($event); onFocusOut($event)"
  [ngbTypeahead]="search"
  [inputFormatter]="formatter"
  (selectItem)="onSelectItem($event)"
  [resultTemplate]="rt"
  />
  <app-field-error [field]="field"></app-field-error>
</app-form-control-wrap>
